ATA_SCSI_USER_SCAN(9)

NAME
ata_scsi_user_scan - indication for user-initiated bus scan

SYNOPSIS

int ata_scsi_user_scan(struct Scsi_Host * shost, unsigned int channel, unsigned int id, u64 lun);

ARGUMENTS

shost
    SCSI host to scan

channel
    Channel to scan

id
    ID to scan

lun
    LUN to scan

DESCRIPTION

This function is called when user explicitly requests bus scan. Set probe pending flag and invoke EH.

LOCKING

SCSI layer (we don't care)

RETURNS

Zero.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT